cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Berin Loritsch <blorit...@apache.org>
Subject Re: ESQL no longer applied to custom logicsheet
Date Fri, 28 Dec 2001 17:45:38 GMT
Berin Loritsch wrote:

> Berin Loritsch wrote:
> 
>> Berin Loritsch wrote:
>>

>>> I talked with Dims on the phone, and it turned out to be the parser:
>>>
>>>   <parser>
>>>     <parameter name="namespace-prefixes" value="true"/>
>>>   </parser>
>>>
>>> In order to use XSP with logicsheets that have nested dependancies, this
>>> paramter _must_ be set to True.
>>
>>
>>
>>
>> And then it only works the first time it is used!
> 
> 
> 
> I fixed this issue (XSPMarkupLanguage is now Recyclable [aka Poolable] and
> the dependancy set is cleared for each request).


It turned out that my fix also fixed the namespace-prefix issue.  It is now
no longer necessary.


-- 

"They that give up essential liberty to obtain a little temporary safety
  deserve neither liberty nor safety."
                 - Benjamin Franklin


---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message